Register a workload identity provider
POST
/workload-identity-providerstype is oidc (config: issuer, audiences, optional jwks, allowed_algs, max_token_age_seconds), aws (account_id, allowed_regions) or spiffe (trust_domain, bundle_pem or bundle_endpoint).
Headers
Authorizationstring
Bearer <token>.
Body parameters
Provider (name, description, type, config)
configoptional object
created_atoptional string
created_by_user_idoptional string
descriptionoptional string
idoptional string
is_enabledoptional boolean
match_keyoptional string
nameoptional string
organization_idoptional string
typeoptional string
updated_atoptional string
Returns
201CreatedWorkloadIdentityProvider
configoptional object
created_atoptional string
created_by_user_idoptional string
descriptionoptional string
idoptional string
is_enabledoptional boolean
match_keyoptional string
nameoptional string
organization_idoptional string
typeoptional string
updated_atoptional string
Errors
- 400Bad Request